curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Record brand outcome
Record brand outcome
POST
/
v1
/
brands
/
{brand_id}
/
outcomes
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
Request body
object
Response
object
Status codes
| Code | Meaning |
|---|---|
201 | Outcome recorded. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026